Subject: Re: [PATCH] clone: in protocol v2, use remote's default branch

From: Felipe Contreras <[email-masked]>
Date: Mon, 14 Dec 2020 21:22:38 -0600

Ævar Arnfjörð Bjarmason wrote:

> To borrow from Felipe Contreras's reply in the side-thread "I expect the
> branch name to be chosen by the person who created that repository".
> 
> I suppose this comes down to a mental model of what it means to have
> "created a repository". When I click "create repo" on those popular
> hosting sites (e.g. github & gitlab) and clone it I was expecting it to
> just be a shorthand init + a URL in my config (and refspecs...).

Indeed. But then it would be *them* taking away agency from the user (by
not allowing the user to choose the name of the branch), not us.

In Spanish we have a saying: "don't give extra change", which is similar to
the lawyery advice: "don't volunteer [information]".

Let's not volunteer user complaints. Let GitHub take some of those.

-- 
Felipe Contreras